diff --git a/src/iwork_common.h b/src/iwork_common.h
index cc5653751d..78dd314548 100644
--- a/src/iwork_common.h
+++ b/src/iwork_common.h
@@ -12,7 +12,7 @@
 #define SALTLEN                 16
 #define IVLEN                   16
 #define BLOBLEN                 64
-#define FORMAT_NAME             "Apple iWork '09 / '13 / '14"
+#define FORMAT_NAME             "Apple iWork '09 or newer"
 #define FORMAT_TAG              "$iwork$"
 #define TAG_LENGTH              (sizeof(FORMAT_TAG) - 1)
 
diff --git a/src/iwork_fmt_plug.c b/src/iwork_fmt_plug.c
index 90030ead87..20edb1dab9 100644
--- a/src/iwork_fmt_plug.c
+++ b/src/iwork_fmt_plug.c
@@ -42,8 +42,6 @@ john_register_one(&fmt_iwork);
 #include "memdbg.h"
 
 #define FORMAT_LABEL            "iwork"
-#define FORMAT_NAME             "Apple iWork '09 / '13 / '14"
-
 #ifdef SIMD_COEF_32
 #define ALGORITHM_NAME          "PBKDF2-SHA1 AES " SHA1_ALGORITHM_NAME
 #else
diff --git a/src/opencl_iwork_fmt_plug.c b/src/opencl_iwork_fmt_plug.c
index 2fb16dfb7d..1333592c44 100644
--- a/src/opencl_iwork_fmt_plug.c
+++ b/src/opencl_iwork_fmt_plug.c
@@ -36,7 +36,6 @@ john_register_one(&fmt_opencl_iwork);
 #include "opencl_pbkdf2_hmac_sha1.h"
 
 #define FORMAT_LABEL            "iwork-opencl"
-#define FORMAT_NAME             "Apple iWork '09 / '13 / '14"
 #define OCL_ALGORITHM_NAME      "PBKDF2-SHA1 AES OpenCL"
 #define ALGORITHM_NAME          OCL_ALGORITHM_NAME
 #define BENCHMARK_COMMENT       ""
